package com.phm.manage.service;

import com.phm.manage.domain.InstructionInfo;

import java.util.List;

/**
 * 指令信息Service接口
 *
 * @author phm
 * @date 2023-08-22
 */
public interface IInstructionInfoService {
    /**
     * 查询指令信息
     *
     * @param id 指令信息主键
     * @return 指令信息
     */
    public InstructionInfo selectInstructionInfoById(Long id);

    /**
     * 查询指令信息列表
     *
     * @param instructionInfo 指令信息
     * @return 指令信息集合
     */
    public List<InstructionInfo> selectInstructionInfoList(InstructionInfo instructionInfo);

    /**
     * 新增指令信息
     *
     * @param instructionInfo 指令信息
     * @return 结果
     */
    public int insertInstructionInfo(InstructionInfo instructionInfo);

    /**
     * 修改指令信息
     *
     * @param instructionInfo 指令信息
     * @return 结果
     */
    public int updateInstructionInfo(InstructionInfo instructionInfo);

    /**
     * 批量删除指令信息
     *
     * @param ids 需要删除的指令信息主键集合
     * @return 结果
     */
    public int deleteInstructionInfoByIds(Long[] ids);

    /**
     * 删除指令信息信息
     *
     * @param id 指令信息主键
     * @return 结果
     */
    public int deleteInstructionInfoById(Long id);
}
